JavaNames (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report
Class JavaNames

    java.lang.Object
      org.jacoco.report.JavaNames

All Implemented Interfaces:
  ILanguageNames

    public class JavaNames

extends Object
implements ILanguageNames

Names for the Java language.

Constructor Summary
`JavaNames()`

Method Summary
`String` | `getClassName(String vmname, String vmsignature, String vmsuperclass, String[] vminterfaces)` Calculates the language specific name of a class.
`String` | `getMethodName(String vmclassname, String vmmethodname, String vmdesc, String vmsignature)` Calculates the language specific name of a method.
`String` | `getPackageName(String vmname)` Calculates the language specific name of a package.
`String` | `getQualifiedClassName(String vmname)` Calculates the language specific qualified name of a class.
`String` | `getQualifiedMethodName(String vmclassname, String vmmethodname, String vmdesc, String vmsignature)` Calculates the language specific fully qualified name of a method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaNames

    public JavaNames()

Method Detail

### getPackageName

    public String getPackageName(String vmname)

  Description copied from interface: `ILanguageNames`
  Calculates the language specific name of a package.

  Specified by:
    `getPackageName` in interface `ILanguageNames`
  Parameters:
    `vmname` - vm name of a package
  Returns:
    language specific notation for the package

### getClassName

    public String getClassName(String vmname,
                               String vmsignature,
                               String vmsuperclass,
                               String[] vminterfaces)

  Description copied from interface: `ILanguageNames`
  Calculates the language specific name of a class.

  Specified by:
    `getClassName` in interface `ILanguageNames`
  Parameters:
    `vmname` - vm name of a class
    `vmsignature` - vm signature of the class (may be `null`)
    `vmsuperclass` - vm name of the superclass of the class (may be `null`)
    `vminterfaces` - vm names of interfaces of the class (may be `null`)
  Returns:
    language specific notation of the class

### getQualifiedClassName

    public String getQualifiedClassName(String vmname)

  Description copied from interface: `ILanguageNames`
  Calculates the language specific qualified name of a class.

  Specified by:
    `getQualifiedClassName` in interface `ILanguageNames`
  Parameters:
    `vmname` - vm name of a class
  Returns:
    language specific qualified notation of the class

### getMethodName

    public String getMethodName(String vmclassname,
                                String vmmethodname,
                                String vmdesc,
                                String vmsignature)

  Description copied from interface: `ILanguageNames`
  Calculates the language specific name of a method.

  Specified by:
    `getMethodName` in interface `ILanguageNames`
  Parameters:
    `vmclassname` - vm name of a containing class
    `vmmethodname` - vm name of the method
    `vmdesc` - vm parameter description of the method
    `vmsignature` - vm signature of the method (may be `null`)
  Returns:
    language specific notation for the method

### getQualifiedMethodName

    public String getQualifiedMethodName(String vmclassname,
                                         String vmmethodname,
                                         String vmdesc,
                                         String vmsignature)

  Description copied from interface: `ILanguageNames`
  Calculates the language specific fully qualified name of a method.

  Specified by:
    `getQualifiedMethodName` in interface `ILanguageNames`
  Parameters:
    `vmclassname` - vm name of a containing class
    `vmmethodname` - vm name of the method
    `vmdesc` - vm parameter description of the method
    `vmsignature` - vm signature of the method (may be `null`)
  Returns:
    language specific notation for the method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.